Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Interface CMSObjectIdentifiers

All Known Implementing Classes:
  ContentInfo

public interface CMSObjectIdentifiers

Field Summary
`static ASN1ObjectIdentifier` | `authenticatedData` PKCS#9: 1.2.840.113549.1.9.16.1.2 -- smime ct authData
`static ASN1ObjectIdentifier` | `authEnvelopedData` PKCS#9: 1.2.840.113549.1.9.16.1.23 -- smime ct authEnvelopedData
`static ASN1ObjectIdentifier` | `compressedData` PKCS#9: 1.2.840.113549.1.9.16.1.9 -- smime ct compressedData
`static ASN1ObjectIdentifier` | `data` PKCS#7: 1.2.840.113549.1.7.1
`static ASN1ObjectIdentifier` | `digestedData` PKCS#7: 1.2.840.113549.1.7.5
`static ASN1ObjectIdentifier` | `encryptedData` PKCS#7: 1.2.840.113549.1.7.6
`static ASN1ObjectIdentifier` | `envelopedData` PKCS#7: 1.2.840.113549.1.7.3
`static ASN1ObjectIdentifier` | `id_alg` 1.3.6.1.5.5.7.6
`static ASN1ObjectIdentifier` | `id_alg_cek_hkdf_sha256` id-alg-cek-hkdf-sha256 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 31 }
`static ASN1ObjectIdentifier` | `id_ecdsa_with_shake128`
`static ASN1ObjectIdentifier` | `id_ecdsa_with_shake256`
`static ASN1ObjectIdentifier` | `id_ori` OtherRecipientInfo types
`static ASN1ObjectIdentifier` | `id_ori_kem`
`static ASN1ObjectIdentifier` | `id_ri` The other Revocation Info arc id-ri OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) ri(16) }
`static ASN1ObjectIdentifier` | `id_ri_ocsp_response` 1.3.6.1.5.5.7.16.2
`static ASN1ObjectIdentifier` | `id_ri_scvp` 1.3.6.1.5.5.7.16.4
`static ASN1ObjectIdentifier` | `id_RSASSA_PSS_SHAKE128`
`static ASN1ObjectIdentifier` | `id_RSASSA_PSS_SHAKE256`
`static ASN1ObjectIdentifier` | `signedAndEnvelopedData` PKCS#7: 1.2.840.113549.1.7.4
`static ASN1ObjectIdentifier` | `signedData` PKCS#7: 1.2.840.113549.1.7.2
`static ASN1ObjectIdentifier` | `timestampedData` PKCS#9: 1.2.840.113549.1.9.16.1.31 -- smime ct timestampedData
`static ASN1ObjectIdentifier` | `zlibCompress`

Field Detail

### data

    public static final ASN1ObjectIdentifier data

  PKCS#7: 1.2.840.113549.1.7.1

### signedData

    public static final ASN1ObjectIdentifier signedData

  PKCS#7: 1.2.840.113549.1.7.2

### envelopedData

    public static final ASN1ObjectIdentifier envelopedData

  PKCS#7: 1.2.840.113549.1.7.3

### signedAndEnvelopedData

    public static final ASN1ObjectIdentifier signedAndEnvelopedData

  PKCS#7: 1.2.840.113549.1.7.4

### digestedData

    public static final ASN1ObjectIdentifier digestedData

  PKCS#7: 1.2.840.113549.1.7.5

### encryptedData

    public static final ASN1ObjectIdentifier encryptedData

  PKCS#7: 1.2.840.113549.1.7.6

### authenticatedData

    public static final ASN1ObjectIdentifier authenticatedData

  PKCS#9: 1.2.840.113549.1.9.16.1.2 -- smime ct authData

### compressedData

    public static final ASN1ObjectIdentifier compressedData

  PKCS#9: 1.2.840.113549.1.9.16.1.9 -- smime ct compressedData

### authEnvelopedData

    public static final ASN1ObjectIdentifier authEnvelopedData

  PKCS#9: 1.2.840.113549.1.9.16.1.23 -- smime ct authEnvelopedData

### timestampedData

    public static final ASN1ObjectIdentifier timestampedData

  PKCS#9: 1.2.840.113549.1.9.16.1.31 -- smime ct timestampedData

### zlibCompress

    public static final ASN1ObjectIdentifier zlibCompress

### id_ri

    public static final ASN1ObjectIdentifier id_ri

  The other Revocation Info arc

  id-ri OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) dod(6) internet(1) security(5) mechanisms(5) pkix(7) ri(16) }

### id_ri_ocsp_response

    public static final ASN1ObjectIdentifier id_ri_ocsp_response

  1.3.6.1.5.5.7.16.2

### id_ri_scvp

    public static final ASN1ObjectIdentifier id_ri_scvp

  1.3.6.1.5.5.7.16.4

### id_alg

    public static final ASN1ObjectIdentifier id_alg

  1.3.6.1.5.5.7.6

### id_RSASSA_PSS_SHAKE128

    public static final ASN1ObjectIdentifier id_RSASSA_PSS_SHAKE128

### id_RSASSA_PSS_SHAKE256

    public static final ASN1ObjectIdentifier id_RSASSA_PSS_SHAKE256

### id_ecdsa_with_shake128

    public static final ASN1ObjectIdentifier id_ecdsa_with_shake128

### id_ecdsa_with_shake256

    public static final ASN1ObjectIdentifier id_ecdsa_with_shake256

### id_ori

    public static final ASN1ObjectIdentifier id_ori

  OtherRecipientInfo types

### id_ori_kem

    public static final ASN1ObjectIdentifier id_ori_kem

### id_alg_cek_hkdf_sha256

    public static final ASN1ObjectIdentifier id_alg_cek_hkdf_sha256

  id-alg-cek-hkdf-sha256 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 31 }

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD